Subject: [PATCH v2] ARM: socfpga: dts: Add adxl34x

From: [email-masked] (Dinh Nguyen)
Date: Sun, 22 Mar 2015 22:03:51 -0500

Hi Walter,

On 3/19/15 4:27 PM, Walter Lozano wrote:
> Hi Dinh,
> 
> On Mon, Mar 16, 2015 at 10:10 AM, Walter Lozano
> <[email-masked]> wrote:
>> On Mon, Jan 5, 2015 at 6:21 AM, Steffen Trumtrar
>> <[email-masked]> wrote:
>>> Hi!
>>>
>>> On Wed, Dec 24, 2014 at 08:11:52PM -0300, Walter Lozano wrote:
>>>> This patch adds the DTS bindings for the adxl34x digital
>>>> accelerometer.
>>>>
>>>> Signed-off-by: Walter Lozano <[email-masked]>
>>>> ---
>>>>  arch/arm/boot/dts/socfpga_cyclone5_sockit.dts |   16 ++++++++++++++++
>>>>  1 file changed, 16 insertions(+)
>>>>
>>>> diff --git a/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts b/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>> index 16ea6f5..d343e03 100644
>>>> --- a/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>> +++ b/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>> @@ -60,6 +60,22 @@
>>>>       rxc-skew-ps = <2000>;
>>>>  };
>>>>
>>>> +&gpio2 {
>>>> +     status = "okay";
>>>> +};
>>>> +
>>>> +&i2c1 {
>>>> +     status = "okay";
>>>> +
>>>> +     accel1: accelerometer at 53 {
>>>> +             compatible = "adxl34x";

Shouldn't this be "adi,adxl34x"? At least that's what the documentation
says.

>>>> +             reg = <0x53>;
>>>> +
>>>> +             interrupt-parent = <&portc>;
>>>> +             interrupts = <3 2>;
>>>> +     };
>>>> +};
>>>> +
>>>>  &mmc0 {
>>>>       vmmc-supply = <&regulator_3_3v>;
>>>>       vqmmc-supply = <&regulator_3_3v>;
>>>
>>> I just gave it a short spin. I get some interrupts and the position property
>>> changes, so it seems to work:
>>>
>>>         Acked-by: Steffen Trumtrar <[email-masked]>
>>>
>>
>> Ping?
>> How should this continue?
> 
> Any news about this patch? It has been acked by Pavel Machek and
> Steffen Trumtrar a while ago.
>

Sorry, since I wasn't CC on the original patch and somehow my filter
didn't catch it, I didn't see this patch until now.

Dinh